Merge branch 'master' into cancancan
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     SystemTimer (1.2.3)
5     aasm (5.0.1)
6       concurrent-ruby (~> 1.0)
7     actioncable (5.2.0)
8       actionpack (= 5.2.0)
9       nio4r (~> 2.0)
10       websocket-driver (>= 0.6.1)
11     actionmailer (5.2.0)
12       actionpack (= 5.2.0)
13       actionview (= 5.2.0)
14       activejob (= 5.2.0)
15       mail (~> 2.5, >= 2.5.4)
16       rails-dom-testing (~> 2.0)
17     actionpack (5.2.0)
18       actionview (= 5.2.0)
19       activesupport (= 5.2.0)
20       rack (~> 2.0)
21       rack-test (>= 0.6.3)
22       rails-dom-testing (~> 2.0)
23       rails-html-sanitizer (~> 1.0, >= 1.0.2)
24     actionpack-page_caching (1.1.0)
25       actionpack (>= 4.0.0, < 6)
26     actionview (5.2.0)
27       activesupport (= 5.2.0)
28       builder (~> 3.1)
29       erubi (~> 1.4)
30       rails-dom-testing (~> 2.0)
31       rails-html-sanitizer (~> 1.0, >= 1.0.3)
32     activejob (5.2.0)
33       activesupport (= 5.2.0)
34       globalid (>= 0.3.6)
35     activemodel (5.2.0)
36       activesupport (= 5.2.0)
37     activerecord (5.2.0)
38       activemodel (= 5.2.0)
39       activesupport (= 5.2.0)
40       arel (>= 9.0)
41     activestorage (5.2.0)
42       actionpack (= 5.2.0)
43       activerecord (= 5.2.0)
44       marcel (~> 0.3.1)
45     activesupport (5.2.0)
46       concurrent-ruby (~> 1.0, >= 1.0.2)
47       i18n (>= 0.7, < 2)
48       minitest (~> 5.1)
49       tzinfo (~> 1.1)
50     addressable (2.5.2)
51       public_suffix (>= 2.0.2, < 4.0)
52     annotate (2.7.4)
53       activerecord (>= 3.2, < 6.0)
54       rake (>= 10.4, < 13.0)
55     arel (9.0.0)
56     ast (2.4.0)
57     autoprefixer-rails (8.6.5)
58       execjs
59     better_errors (2.5.0)
60       coderay (>= 1.0.0)
61       erubi (>= 1.0.0)
62       rack (>= 0.9.0)
63     bigdecimal (1.1.0)
64     binding_of_caller (0.8.0)
65       debug_inspector (>= 0.0.1)
66     bootsnap (1.3.2)
67       msgpack (~> 1.0)
68     builder (3.2.3)
69     cancancan (2.1.3)
70     canonical-rails (0.2.4)
71       rails (>= 4.1, < 5.3)
72     capybara (2.18.0)
73       addressable
74       mini_mime (>= 0.1.3)
75       nokogiri (>= 1.3.3)
76       rack (>= 1.0.0)
77       rack-test (>= 0.5.4)
78       xpath (>= 2.0, < 4.0)
79     climate_control (0.2.0)
80     cliver (0.3.2)
81     coderay (1.1.2)
82     coffee-rails (4.2.2)
83       coffee-script (>= 2.2.0)
84       railties (>= 4.0.0)
85     coffee-script (2.4.1)
86       coffee-script-source
87       execjs
88     coffee-script-source (1.12.2)
89     composite_primary_keys (11.0.3)
90       activerecord (~> 5.2.0)
91     concurrent-ruby (1.0.5)
92     coveralls (0.8.22)
93       json (>= 1.8, < 3)
94       simplecov (~> 0.16.1)
95       term-ansicolor (~> 1.3)
96       thor (~> 0.19.4)
97       tins (~> 1.6)
98     crack (0.4.3)
99       safe_yaml (~> 1.0.0)
100     crass (1.0.4)
101     dalli (2.7.8)
102     debug_inspector (0.0.3)
103     docile (1.3.1)
104     dynamic_form (1.1.4)
105     erubi (1.7.1)
106     execjs (2.7.0)
107     exifr (1.3.4)
108     factory_bot (4.11.1)
109       activesupport (>= 3.0.0)
110     factory_bot_rails (4.11.1)
111       factory_bot (~> 4.11.1)
112       railties (>= 3.0.0)
113     faraday (0.12.2)
114       multipart-post (>= 1.2, < 3)
115     ffi (1.9.25)
116     fspath (3.1.0)
117     geoip (1.6.4)
118     globalid (0.4.1)
119       activesupport (>= 4.2.0)
120     hashdiff (0.3.7)
121     hashie (3.5.7)
122     htmlentities (4.3.4)
123     http_accept_language (2.0.5)
124     i18n (0.9.5)
125       concurrent-ruby (~> 1.0)
126     i18n-js (3.0.11)
127       i18n (>= 0.6.6, < 2)
128     image_optim (0.26.2)
129       exifr (~> 1.2, >= 1.2.2)
130       fspath (~> 3.0)
131       image_size (>= 1.5, < 3)
132       in_threads (~> 1.3)
133       progress (~> 3.0, >= 3.0.1)
134     image_optim_rails (0.4.1)
135       image_optim (~> 0.24)
136       rails
137       sprockets
138     image_size (2.0.0)
139     in_threads (1.5.0)
140     jaro_winkler (1.5.1)
141     jquery-rails (4.3.3)
142       rails-dom-testing (>= 1, < 3)
143       railties (>= 4.2.0)
144       thor (>= 0.14, < 2.0)
145     jshint (1.5.0)
146       execjs (>= 1.4.0)
147       multi_json (~> 1.0)
148       therubyracer (~> 0.12.1)
149     json (2.1.0)
150     jsonify (0.3.1)
151       multi_json (~> 1.0)
152     jsonify-rails (0.3.2)
153       actionpack
154       jsonify (< 0.4.0)
155     jwt (1.5.6)
156     kgio (2.11.2)
157     libv8 (3.16.14.19)
158     libxml-ruby (3.1.0)
159     listen (3.1.5)
160       rb-fsevent (~> 0.9, >= 0.9.4)
161       rb-inotify (~> 0.9, >= 0.9.7)
162       ruby_dep (~> 1.2)
163     logstash-event (1.2.02)
164     logstasher (1.2.2)
165       activesupport (>= 4.0)
166       logstash-event (~> 1.2.0)
167       request_store
168     loofah (2.2.2)
169       crass (~> 1.0.2)
170       nokogiri (>= 1.5.9)
171     mail (2.7.0)
172       mini_mime (>= 0.1.1)
173     marcel (0.3.3)
174       mimemagic (~> 0.3.2)
175     method_source (0.9.0)
176     mime-types (3.2.2)
177       mime-types-data (~> 3.2015)
178     mime-types-data (3.2018.0812)
179     mimemagic (0.3.2)
180     mini_mime (1.0.1)
181     mini_portile2 (2.3.0)
182     minitest (5.11.3)
183     msgpack (1.2.4)
184     multi_json (1.13.1)
185     multi_xml (0.6.0)
186     multipart-post (2.0.0)
187     nio4r (2.3.1)
188     nokogiri (1.8.4)
189       mini_portile2 (~> 2.3.0)
190     nokogumbo (1.5.0)
191       nokogiri
192     oauth (0.4.7)
193     oauth-plugin (0.5.1)
194       multi_json
195       oauth (~> 0.4.4)
196       oauth2 (>= 0.5.0)
197       rack
198     oauth2 (1.4.0)
199       faraday (>= 0.8, < 0.13)
200       jwt (~> 1.0)
201       multi_json (~> 1.3)
202       multi_xml (~> 0.5)
203       rack (>= 1.2, < 3)
204     omniauth (1.8.1)
205       hashie (>= 3.4.6, < 3.6.0)
206       rack (>= 1.6.2, < 3)
207     omniauth-facebook (5.0.0)
208       omniauth-oauth2 (~> 1.2)
209     omniauth-github (1.3.0)
210       omniauth (~> 1.5)
211       omniauth-oauth2 (>= 1.4.0, < 2.0)
212     omniauth-google-oauth2 (0.5.3)
213       jwt (>= 1.5)
214       omniauth (>= 1.1.1)
215       omniauth-oauth2 (>= 1.5)
216     omniauth-mediawiki (0.0.3)
217       jwt (~> 1.0)
218       omniauth-oauth (~> 1.0)
219     omniauth-oauth (1.1.0)
220       oauth
221       omniauth (~> 1.0)
222     omniauth-oauth2 (1.5.0)
223       oauth2 (~> 1.1)
224       omniauth (~> 1.2)
225     omniauth-openid (1.0.1)
226       omniauth (~> 1.0)
227       rack-openid (~> 1.3.1)
228     omniauth-windowslive (0.0.12)
229       multi_json (~> 1.12)
230       omniauth-oauth2 (~> 1.4)
231     openstreetmap-deadlock_retry (1.3.0)
232     paperclip (5.3.0)
233       activemodel (>= 4.2.0)
234       activesupport (>= 4.2.0)
235       mime-types
236       mimemagic (~> 0.3.0)
237       terrapin (~> 0.6.0)
238     parallel (1.12.1)
239     parser (2.5.1.2)
240       ast (~> 2.4.0)
241     pg (0.21.0)
242     poltergeist (1.18.1)
243       capybara (>= 2.1, < 4)
244       cliver (~> 0.3.1)
245       websocket-driver (>= 0.2.0)
246     powerpack (0.1.2)
247     progress (3.4.0)
248     psych (3.0.2)
249     public_suffix (3.0.3)
250     puma (3.12.0)
251     quad_tile (1.0.1)
252     r2 (0.2.7)
253     rack (2.0.5)
254     rack-cors (1.0.2)
255     rack-openid (1.3.1)
256       rack (>= 1.1.0)
257       ruby-openid (>= 2.1.8)
258     rack-test (1.1.0)
259       rack (>= 1.0, < 3)
260     rack-uri_sanitizer (0.0.2)
261     rails (5.2.0)
262       actioncable (= 5.2.0)
263       actionmailer (= 5.2.0)
264       actionpack (= 5.2.0)
265       actionview (= 5.2.0)
266       activejob (= 5.2.0)
267       activemodel (= 5.2.0)
268       activerecord (= 5.2.0)
269       activestorage (= 5.2.0)
270       activesupport (= 5.2.0)
271       bundler (>= 1.3.0)
272       railties (= 5.2.0)
273       sprockets-rails (>= 2.0.0)
274     rails-controller-testing (1.0.2)
275       actionpack (~> 5.x, >= 5.0.1)
276       actionview (~> 5.x, >= 5.0.1)
277       activesupport (~> 5.x)
278     rails-dom-testing (2.0.3)
279       activesupport (>= 4.2.0)
280       nokogiri (>= 1.6)
281     rails-html-sanitizer (1.0.4)
282       loofah (~> 2.2, >= 2.2.2)
283     rails-i18n (4.0.2)
284       i18n (~> 0.6)
285       rails (>= 4.0)
286     railties (5.2.0)
287       actionpack (= 5.2.0)
288       activesupport (= 5.2.0)
289       method_source
290       rake (>= 0.8.7)
291       thor (>= 0.18.1, < 2.0)
292     rainbow (3.0.0)
293     rake (12.3.1)
294     rb-fsevent (0.10.3)
295     rb-inotify (0.9.10)
296       ffi (>= 0.5.0, < 2)
297     record_tag_helper (1.0.0)
298       actionview (~> 5.x)
299     redcarpet (3.4.0)
300     ref (2.0.0)
301     request_store (1.4.1)
302       rack (>= 1.4)
303     rinku (2.0.4)
304     rotp (3.3.1)
305     rubocop (0.59.1)
306       jaro_winkler (~> 1.5.1)
307       parallel (~> 1.10)
308       parser (>= 2.5, != 2.5.1.1)
309       powerpack (~> 0.1)
310       rainbow (>= 2.2.2, < 4.0)
311       ruby-progressbar (~> 1.7)
312       unicode-display_width (~> 1.0, >= 1.0.1)
313     ruby-openid (2.7.0)
314     ruby-progressbar (1.10.0)
315     ruby_dep (1.5.0)
316     safe_yaml (1.0.4)
317     sanitize (4.6.6)
318       crass (~> 1.0.2)
319       nokogiri (>= 1.4.4)
320       nokogumbo (~> 1.4)
321     sass (3.6.0)
322       sass-listen (~> 4.0.0)
323     sass-listen (4.0.0)
324       rb-fsevent (~> 0.9, >= 0.9.4)
325       rb-inotify (~> 0.9, >= 0.9.7)
326     sassc (1.12.1)
327       ffi (~> 1.9.6)
328       sass (>= 3.3.0)
329     sassc-rails (1.3.0)
330       railties (>= 4.0.0)
331       sass
332       sassc (~> 1.9)
333       sprockets (> 2.11)
334       sprockets-rails
335       tilt
336     secure_headers (6.0.0)
337     simplecov (0.16.1)
338       docile (~> 1.1)
339       json (>= 1.8, < 3)
340       simplecov-html (~> 0.10.0)
341     simplecov-html (0.10.2)
342     sprockets (3.7.2)
343       concurrent-ruby (~> 1.0)
344       rack (> 1, < 3)
345     sprockets-rails (3.2.1)
346       actionpack (>= 4.0)
347       activesupport (>= 4.0)
348       sprockets (>= 3.0.0)
349     term-ansicolor (1.6.0)
350       tins (~> 1.0)
351     terrapin (0.6.0)
352       climate_control (>= 0.0.3, < 1.0)
353     therubyracer (0.12.3)
354       libv8 (~> 3.16.14.15)
355       ref
356     thor (0.19.4)
357     thread_safe (0.3.6)
358     tilt (2.0.8)
359     tins (1.16.3)
360     tzinfo (1.2.5)
361       thread_safe (~> 0.1)
362     uglifier (4.1.19)
363       execjs (>= 0.3.0, < 3)
364     unicode-display_width (1.4.0)
365     validates_email_format_of (1.6.3)
366       i18n
367     vendorer (0.1.16)
368     webmock (3.4.2)
369       addressable (>= 2.3.6)
370       crack (>= 0.3.2)
371       hashdiff
372     websocket-driver (0.7.0)
373       websocket-extensions (>= 0.1.0)
374     websocket-extensions (0.1.3)
375     xpath (3.1.0)
376       nokogiri (~> 1.8)
377
378 PLATFORMS
379   ruby
380
381 DEPENDENCIES
382   SystemTimer (>= 1.1.3)
383   aasm
384   actionpack-page_caching
385   annotate
386   autoprefixer-rails (~> 8.6.3)
387   better_errors
388   bigdecimal (~> 1.1.0)
389   binding_of_caller
390   bootsnap (>= 1.1.0)
391   cancancan
392   canonical-rails
393   capybara (~> 2.13)
394   coffee-rails (~> 4.2)
395   composite_primary_keys (~> 11.0.0)
396   coveralls
397   dalli
398   dynamic_form
399   factory_bot_rails
400   faraday
401   geoip
402   htmlentities
403   http_accept_language (~> 2.0.0)
404   i18n-js (>= 3.0.0)
405   image_optim_rails
406   jquery-rails
407   jshint
408   json
409   jsonify-rails
410   kgio
411   libxml-ruby (>= 2.0.5)
412   listen
413   logstasher
414   minitest (~> 5.1)
415   oauth-plugin (>= 0.5.1)
416   omniauth
417   omniauth-facebook
418   omniauth-github
419   omniauth-google-oauth2 (>= 0.2.7)
420   omniauth-mediawiki (>= 0.0.3)
421   omniauth-openid
422   omniauth-windowslive
423   openstreetmap-deadlock_retry (>= 1.3.0)
424   paperclip (~> 5.2)
425   pg (~> 0.18)
426   poltergeist
427   psych
428   puma (~> 3.7)
429   quad_tile (~> 1.0.1)
430   r2 (~> 0.2.7)
431   rack-cors
432   rack-uri_sanitizer
433   rails (= 5.2.0)
434   rails-controller-testing
435   rails-i18n (~> 4.0.0)
436   record_tag_helper
437   redcarpet
438   rinku (>= 1.2.2)
439   rotp
440   rubocop
441   sanitize
442   sassc-rails
443   secure_headers
444   uglifier (>= 1.3.0)
445   validates_email_format_of (>= 1.5.1)
446   vendorer
447   webmock
448
449 BUNDLED WITH
450    1.16.2